%global service heat
%global plugin heat-tempest-plugin
%global module heat_tempest_plugin

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global common_desc \
This package contains Tempest tests to cover the Heat project. \
Additionally it provides a plugin to automatically load these \
tests into Tempest.

Name:       python-%{service}-tests-tempest
Version:    0.2.0
Release:    1%{?dist}
Summary:    Tempest Integration of Heat Project
License:    ASL 2.0
URL:        https://git.openstack.org/cgit/openstack/%{plugin}/

Source0:    http://tarballs.openstack.org/%{plugin}/%{plugin}-%{upstream_version}.tar.gz

BuildArch:  noarch

BuildRequires:  git
BuildRequires:  openstack-macros

BuildRequires:  python-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools

Obsoletes:   python-heat-tests < 1:10.0.0

Requires:   python-tempest >= 1:18.0.0
Requires:   python-oslo-config >= 2:5.2.0
Requires:   python-oslo-log >= 3.36.0
Requires:   python-oslo-messaging >= 5.35.0
Requires:   python-paramiko >= 2.0.0
Requires:   python-eventlet
Requires:   python-keystoneauth1 >= 3.4.0
Requires:   python-testtools >= 1.8.0
Requires:   python-cinderclient >= 3.5.0
Requires:   python-gnocchiclient >= 7.0.1
Requires:   python-heatclient >= 1.14.0
Requires:   python-neutronclient >= 6.7.0
Requires:   python-novaclient >= 10.1.0
Requires:   python-swiftclient >= 3.5.0
Requires:   python-zaqarclient >= 1.9.0
Requires:   python-testscenarios >= 0.5.0
Requires:   python-gabbi >= 1.42.1
Requires:   python-kombu
Requires:   python-os-client-config >= 1.29.0

%description 
%{common_desc}

%if 0%{?with_python3}
%package -n python3-%{service}-tests-tempest
Summary: %{summary}
%{?python_provide:%python_provide python3-%{service}-tests-tempest}
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools

Requires:   python3-tempest >= 1:18.0.0
Requires:   python3-oslo-config >= 2:5.2.0
Requires:   python3-oslo-log >= 3.36.0
Requires:   python3-oslo-messaging >= 5.35.0
Requires:   python3-paramiko >= 2.0.0
Requires:   python3-eventlet
Requires:   python3-keystoneauth1 >= 3.4.0
Requires:   python3-testtools >= 1.8.0
Requires:   python3-cinderclient >= 3.5.0
Requires:   python3-gnocchiclient >= 7.0.1
Requires:   python3-heatclient >= 1.14.0
Requires:   python3-neutronclient >= 6.7.0
Requires:   python3-novaclient >= 10.1.0
Requires:   python3-swiftclient >= 3.5.0
Requires:   python3-zaqarclient >= 1.9.0
Requires:   python3-testscenarios >= 0.5.0
Requires:   python3-gabbi >= 1.42.1
Requires:   python3-kombu
Requires:   python3-os-client-config >= 1.29.0

%description -n python3-%{service}-tests-tempest
%{common_desc}
%endif

%prep
%autosetup -n %{plugin}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
%py_req_cleanup
# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%if 0%{?with_python3}
%py3_build
%endif
%py2_build

%install
%if 0%{?with_python3}
%py3_install
%endif
%py2_install

%files -n python-%{service}-tests-tempest
%license LICENSE
%doc README.rst
%{python_sitelib}/%{module}
%{python_sitelib}/*.egg-info

%if 0%{?with_python3}
%files -n python3-%{service}-tests-tempest
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{module}
%{python3_sitelib}/*.egg-info
%endif

%changelog
* Wed Aug 22 2018 Chandan Kumar <chkumar@redhat.com> 0.2.0-1
- Update to 0.2.0
